Debian Bug report logs - #355497
bluez: make hid2hci --tohid work (with certain logitech dongles)

Package: bluez; Maintainer for bluez is Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>; Source for bluez is src:bluez.

Reported by: bugs-debian@aquazul.com

Date: Mon, 6 Mar 2006 02:48:07 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#355497; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
New Bug report received and forwarded. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bluez-utils: hid2hci --tohid does not work
Date: Mon, 06 Mar 2006 03:47:10 +0100
Package: bluez-utils
Version: 2.25-1
Severity: normal

Hi,

according to the manpage, hid2hci is used to switch HID proxy bluetooth dongle 
into the HCI mode and back. The bluetooth initscript tries to make use of it
on stop/shutdown. 

However, it doesn't seem to work for me: my symptom is that I have no way of 
typing on my system, when I reboot after booting first in Debian. The BIOS or 
the GRUB menu are inaccessible if I last booted in Debian.

When I try to execute hid2hci --tohid manually, I get the following error 
message:

# hid2hci --tohid
No devices in HID mode found

# lsusb
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 005: ID 046d:c707 Logitech, Inc.
Bus 001 Device 004: ID 046d:c704 Logitech, Inc.
Bus 001 Device 003: ID 0451:2036 Texas Instruments, Inc. TUSB2036 Hub
Bus 001 Device 001: ID 0000:0000

So bottom line is: switching from HID to HCI works, switching back doesn't 
(and never has I might add). For the record: my keyboard is a Logitech DiNovo 
Media Desktop with an MX900 BT mouse.

Thanks,

-- Mourad DC

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages bluez-utils depends on:
ii  libbluetooth1                2.25-1      Library to use the BlueZ Linux Blu
ii  libc6                        2.3.6-3     GNU C Library: Shared libraries an
ii  libdbus-1-2                  0.61-3      simple interprocess messaging syst
ii  libusb-0.1-4                 2:0.1.11-5  userspace USB programming library
ii  lsb-base                     3.0-15      Linux Standard Base 3.0 init scrip
ii  makedev                      2.3.1-80    creates device files in /dev
ii  module-init-tools            3.2.2-2     tools for managing Linux kernel mo
ii  modutils                     2.4.27.0-4  Linux module utilities
ii  sysvinit                     2.86.ds1-12 System-V-like init utilities

bluez-utils recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#355497; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Edd Dumbill <edd@usefulinc.com>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 355497@bugs.debian.org (full text, mbox):

From: Edd Dumbill <edd@usefulinc.com>
To: Mourad De Clerck <debian-bugs@aquazul.com>, 355497@bugs.debian.org
Subject: Re: [Pkg-bluetooth-maintainers] Bug#355497: bluez-utils: hid2hci --tohid does not work
Date: Mon, 06 Mar 2006 20:52:13 +0000
On Mon, 2006-03-06 at 03:47 +0100, Mourad De Clerck wrote:
> according to the manpage, hid2hci is used to switch HID proxy bluetooth dongle 
> into the HCI mode and back. The bluetooth initscript tries to make use of it
> on stop/shutdown. 
> 
> However, it doesn't seem to work for me: my symptom is that I have no way of 
> typing on my system, when I reboot after booting first in Debian. The BIOS or 
> the GRUB menu are inaccessible if I last booted in Debian.
> ...
> So bottom line is: switching from HID to HCI works, switching back doesn't 
> (and never has I might add). For the record: my keyboard is a Logitech DiNovo 
> Media Desktop with an MX900 BT mouse.

I notice Ubuntu have disabled the hid2hci switching completely.  It
works fine on my DLink dongle, but it may not be a good thing to have
enabled by default.

We should probably make this configurable and switch it off by default.

-- Edd





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#355497; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 355497@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: Edd Dumbill <edd@usefulinc.com>
Cc: 355497@bugs.debian.org
Subject: Re: Bug#355497: bluez-utils: hid2hci --tohid does not work
Date: Mon, 10 Apr 2006 12:38:54 +0200
Edd Dumbill wrote:
> On Mon, 2006-03-06 at 03:47 +0100, Mourad De Clerck wrote:
>> So bottom line is: switching from HID to HCI works, switching back doesn't 
>> (and never has I might add). For the record: my keyboard is a Logitech DiNovo 
>> Media Desktop with an MX900 BT mouse.
> 
> I notice Ubuntu have disabled the hid2hci switching completely.  It
> works fine on my DLink dongle, but it may not be a good thing to have
> enabled by default.
> 
> We should probably make this configurable and switch it off by default.

I see. The disadvantage of disabling it is that even though your input
devices will most likely work, you won't have any bluetooth functionality.

I guess it'd be good to have a NEWS.Debian entry or debconf question on
this issue in that case.

Ideally, upstream would look into fixing the hid2hci switching for the
different types of dongles, but considering Logitech's non-existant
developer support I'm not holding my breath.

Thank you anyway,

-- Mourad



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#355497; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 355497@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Edd Dumbill <edd@usefulinc.com>, 355497@bugs.debian.org
Cc: Mourad De Clerck <debian-bugs@aquazul.com>
Subject: Re: Bug#355497: [Pkg-bluetooth-maintainers] Bug#355497: bluez-utils: hid2hci --tohid does not work
Date: Thu, 1 Jun 2006 19:10:54 +0200
[Message part 1 (text/plain, inline)]
On Mon, Mar 06, 2006 at 08:52:13PM +0000, Edd Dumbill wrote:
> On Mon, 2006-03-06 at 03:47 +0100, Mourad De Clerck wrote:
> > according to the manpage, hid2hci is used to switch HID proxy bluetooth dongle 
> > into the HCI mode and back. The bluetooth initscript tries to make use of it
> > on stop/shutdown. 
> > 
> > However, it doesn't seem to work for me: my symptom is that I have no way of 
> > typing on my system, when I reboot after booting first in Debian. The BIOS or 
> > the GRUB menu are inaccessible if I last booted in Debian.
> > ...
> > So bottom line is: switching from HID to HCI works, switching back doesn't 
> > (and never has I might add). For the record: my keyboard is a Logitech DiNovo 
> > Media Desktop with an MX900 BT mouse.
> 
> I notice Ubuntu have disabled the hid2hci switching completely.  It
> works fine on my DLink dongle, but it may not be a good thing to have
> enabled by default.
> 
> We should probably make this configurable and switch it off by default.

So what might be the best thing to do here?
HID2HCI_ENABLED=0 in /etc/default/bluetooth and modify /etc/init.d/bluetooth
accordingly? (and put a note in NEWS.Debian about it)

which are the effects of not switching it on at boot like it is done now?

filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

Caelum, non animo mutant, qui trans mare currunt
Who crosses the sea changes the sky, not the soul.
-- Oratius
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#355497; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 355497@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: Filippo Giunchedi <filippo@debian.org>, Edd Dumbill <edd@usefulinc.com>, 355497@bugs.debian.org, Mourad De Clerck <debian-bugs@aquazul.com>
Subject: Re: Bug#355497: [Pkg-bluetooth-maintainers] Bug#355497: bluez-utils: hid2hci --tohid does not work
Date: Thu, 01 Jun 2006 21:25:54 +0200
On 01/06/06 19:10, Filippo Giunchedi wrote:
> On Mon, Mar 06, 2006 at 08:52:13PM +0000, Edd Dumbill wrote:
>> On Mon, 2006-03-06 at 03:47 +0100, Mourad De Clerck wrote:
<snip>
>>> So bottom line is: switching from HID to HCI works, switching back doesn't 
>>> (and never has I might add). For the record: my keyboard is a Logitech DiNovo 
>>> Media Desktop with an MX900 BT mouse.
<snip>
>> We should probably make this configurable and switch it off by default.
<snip>
> So what might be the best thing to do here?
> HID2HCI_ENABLED=0 in /etc/default/bluetooth and modify /etc/init.d/bluetooth
> accordingly? (and put a note in NEWS.Debian about it)
> 
> which are the effects of not switching it on at boot like it is done now?

Well, I'm not sure if this is the case with all dongles, but in my case
not switching means bluetooth won't work.

HID devices will look like fake USB HID devices, so they'll still work,
and at reboot-time (BIOS screen, boot loader etc) these HID devices will
be usable too. However, non-HID bluetooth devices won't work until the
user chooses to switch it from HID to HCI mode.

I tend to think it should stay on by default, because I'd presume that
users that install the bluetooth package would actually want to use
bluetooth. It sucks for people like me who have to manually switch it
off again so they can access their bootloader/bios on reboot, but I can
either not install the bluetooth package if I only have HID devices, or
manually deactive it if I "sometimes" use other types of devices.

I think the best thing of course would be to get hid2hci fixed so it
works in both directions, and I'll probably file a bug upstream. This
might not be possible to fix because of lack of documentation, and/or
hardware to reverse-engineer - I don't know anything about USB sniffing.

Another option I might look into, is to power down the USB port/hub in
the shutdown scripts (via sysfs for example), so the dongle gets reset
(a hard reset usually brings the dongle back to its original state, ie
HID mode).

However even if both of these wouldn't work I think it's best to leave
it on. No sense in causing problems for users with working hardware, if
it doesn't even solve the problem for users with problematic hardware.

Thanks,

-- M



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#355497; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 355497@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Mourad De Clerck <debian-bugs@aquazul.com>, 355497@bugs.debian.org
Subject: Re: Bug#355497: [Pkg-bluetooth-maintainers] Bug#355497: bluez-utils: hid2hci --tohid does not work
Date: Mon, 24 Jul 2006 13:19:35 +0200
[Message part 1 (text/plain, inline)]
On Thu, Jun 01, 2006 at 09:25:54PM +0200, Mourad De Clerck wrote:
> On 01/06/06 19:10, Filippo Giunchedi wrote:
> > On Mon, Mar 06, 2006 at 08:52:13PM +0000, Edd Dumbill wrote:
> >> On Mon, 2006-03-06 at 03:47 +0100, Mourad De Clerck wrote:
> <snip>
> >>> So bottom line is: switching from HID to HCI works, switching back doesn't 
> >>> (and never has I might add). For the record: my keyboard is a Logitech DiNovo 
> >>> Media Desktop with an MX900 BT mouse.
> <snip>
> >> We should probably make this configurable and switch it off by default.
> <snip>
> > So what might be the best thing to do here?
> > HID2HCI_ENABLED=0 in /etc/default/bluetooth and modify /etc/init.d/bluetooth
> > accordingly? (and put a note in NEWS.Debian about it)
> > 
> > which are the effects of not switching it on at boot like it is done now?
> 
> Well, I'm not sure if this is the case with all dongles, but in my case
> not switching means bluetooth won't work.

Could you try with newest bluez-utils package? (3.1-2, but 3.1-3 is imminent)
If it still doesn't work we should talk to upstream and try to figure this out.

thanks,
filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

It's not that I'm afraid to die, I just don't want to be there
when it happens.
-- Woody Allen
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#355497; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 355497@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: Filippo Giunchedi <filippo@debian.org>, Mourad De Clerck <debian-bugs@aquazul.com>, 355497@bugs.debian.org
Subject: Re: Bug#355497: [Pkg-bluetooth-maintainers] Bug#355497: bluez-utils: hid2hci --tohid does not work
Date: Tue, 25 Jul 2006 20:53:37 +0200
On 24/07/06 13:19, Filippo Giunchedi wrote:
> Could you try with newest bluez-utils package? (3.1-2, but 3.1-3 is imminent)
> If it still doesn't work we should talk to upstream and try to figure this out.

with 3.1-2:

# hid2hci --tohci
Switching device 046d:c704 to HCI mode was successful

# hid2hci --tohid
No devices in HID mode found

(by the way, I think this error message is wrong - I'm trying to switch
_to_ HID mode, so it should say "No devices in HCI mode found" - unless
I'm misinterpreting it, I should check with upstream if that's intentional)


On 28/11/05 19:28, Marcel Holtmann mentioned something relevant on the
bluez-users mailinglist, see:

http://sourceforge.net/mailarchive/message.php?msg_id=18102606

>> There are two problems I wanted to ask about:
>> 1. The dongle doesnt reset to HID mode when system is shut off ... so I have 
>> no ability to use the keyboard in grub! I need to write a script to reset it 
>> to hid mode when the system is shut off. How can i do this? The hid2hci 
>> program supposedly provides an option to switch back to hid mode ... but it 
>> doesn't work. I get the error "No devices in hid mode found" (obviously!).
>  
> we don't know the magic sequence to switch it back into HID mode.


I'm assuming the situation hasn't changed in the mean time.


Looking at the device_list in hid2hci.c we can see that only the
non-logitech dongles mentioned there can be switched back to hid mode.


Rock = not switching to hci on boot means no bluetooth functionality,
and people who installed the bluetooth packages probably expect to be
able to use it.

Hard place = switching to hci means that logitech users won't be able to
use their keyboard during boot-up (BIOS and GRUB).


-- Mourad



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#355497; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@esaurito.net>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 355497@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@esaurito.net>
To: Mourad De Clerck <debian-bugs@aquazul.com>
Cc: bluez-devel@lists.sf.net, 355497@bugs.debian.org
Subject: Re: Bug#355497: [Pkg-bluetooth-maintainers] Bug#355497: bluez-utils: hid2hci --tohid does not work
Date: Wed, 26 Jul 2006 10:58:43 +0200
[Message part 1 (text/plain, inline)]
On Tue, Jul 25, 2006 at 08:53:37PM +0200, Mourad De Clerck wrote:
> On 24/07/06 13:19, Filippo Giunchedi wrote:
> > Could you try with newest bluez-utils package? (3.1-2, but 3.1-3 is imminent)
> > If it still doesn't work we should talk to upstream and try to figure this out.
> 
> with 3.1-2:
> 
> # hid2hci --tohci
> Switching device 046d:c704 to HCI mode was successful
> 
> # hid2hci --tohid
> No devices in HID mode found
> 
> (by the way, I think this error message is wrong - I'm trying to switch
> _to_ HID mode, so it should say "No devices in HCI mode found" - unless
> I'm misinterpreting it, I should check with upstream if that's intentional)
> 
> 
> On 28/11/05 19:28, Marcel Holtmann mentioned something relevant on the
> bluez-users mailinglist, see:
> 
> http://sourceforge.net/mailarchive/message.php?msg_id=18102606
> 
> >> There are two problems I wanted to ask about:
> >> 1. The dongle doesnt reset to HID mode when system is shut off ... so I have 
> >> no ability to use the keyboard in grub! I need to write a script to reset it 
> >> to hid mode when the system is shut off. How can i do this? The hid2hci 
> >> program supposedly provides an option to switch back to hid mode ... but it 
> >> doesn't work. I get the error "No devices in hid mode found" (obviously!).
> >  
> > we don't know the magic sequence to switch it back into HID mode.
> 
> 
> I'm assuming the situation hasn't changed in the mean time.

indeed, ideally hid2hci might switch to HCI only devices which can switch back
to HID (and do it nevertheless if --force is present)

comments/ideas?

filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

What a strange illusion it is to suppose that beauty is goodness.
-- Lev Tolstoj
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#355497; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #45 received at 355497@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Paul LeoNerd Evans <leonerd@leonerd.org.uk>, 383373@bugs.debian.org
Cc: 355497@bugs.debian.org
Subject: Re: [Pkg-bluetooth-maintainers] Bug#383373: hcid: package upgrade loses keyboard
Date: Sun, 20 Aug 2006 13:51:53 +0200
[Message part 1 (text/plain, inline)]
On Wed, Aug 16, 2006 at 09:31:29PM +0100, Paul LeoNerd Evans wrote:
> Package: bluez-utils
> Version: 3.1-3.1
> Severity: normal
> 
> I've just dist-upgraded to latest packages in testing. Part of that
> upgrade wanted to replace bluez-utils. It stopped hcid, among other
> things, leaving me with no keyboard left to answer the questions about
> config files. I had to find a USB keyboard to finish the process until
> it started up again.

interesting, can you confirm that after /etc/init.d/bluetooth stop you can't use
your keyboard anymore? I guess this is related to #355497.
I'm  more and more inclined to remove stop_hid from init script to avoid this
problems since we can't know in advance which keyboard works and which doesn't
(you can't even ask the user "is your keyboard working? [y/n]", that would be
too much windows-like :)

filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

I never forget a face, but in your case I'll be glad to make an exception.
-- Groucho Marx
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#355497; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Paul LeoNerd Evans <leonerd@leonerd.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #50 received at 355497@bugs.debian.org (full text, mbox):

From: Paul LeoNerd Evans <leonerd@leonerd.org.uk>
To: Filippo Giunchedi <filippo@debian.org>
Cc: 383373@bugs.debian.org, 355497@bugs.debian.org
Subject: Re: [Pkg-bluetooth-maintainers] Bug#383373: hcid: package upgrade loses keyboard
Date: Mon, 21 Aug 2006 01:43:24 +0100
[Message part 1 (text/plain, inline)]
On Sun, 20 Aug 2006 13:51:53 +0200
Filippo Giunchedi <filippo@debian.org> wrote:

> interesting, can you confirm that after /etc/init.d/bluetooth stop you
> can't use your keyboard anymore? I guess this is related to #355497.

Yes. As soon as I run that (from ssh elsewhere :) ), the local keyboard
and mouse stop working. As soon as I start it, it starts working again.

-- 
Paul "LeoNerd" Evans

leonerd@leonerd.org.uk
ICQ# 4135350       |  Registered Linux# 179460
http://www.leonerd.org.uk/
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#355497; Package bluez-utils. (Wed, 17 Dec 2008 15:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to kyle@smitz.net:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. (Wed, 17 Dec 2008 15:51:02 GMT) Full text and rfc822 format available.

Message #55 received at 355497@bugs.debian.org (full text, mbox):

From: Kyle <phd.peabody@gmail.com>
To: 355497@bugs.debian.org
Subject: Logitech MX 5000
Date: Wed, 17 Dec 2008 16:47:29 +0100
[Message part 1 (text/plain, inline)]
Bugs,

I've experienced some difficulty with this as well, I posted my details on
the kubuntu forums:
http://kubuntuforums.net/forums/index.php?topic=3100328.0

If you need help testing this bug, I'll be happy to participate.
[Message part 2 (text/html, inline)]

Changed Bug submitter to 'bugs-debian@aquazul.com' from 'Mourad De Clerck <debian-bugs@aquazul.com>' Request was from Mourad De Clerck <debian-bugs@aquazul.com> to control@bugs.debian.org. (Wed, 30 Nov 2011 23:54:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'bluez-utils' to 'bluez'. Request was from Mourad De Clerck <debian-bugs@aquazul.com> to control@bugs.debian.org. (Wed, 30 Nov 2011 23:54:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions bluez-utils/2.25-1. Request was from Mourad De Clerck <debian-bugs@aquazul.com> to control@bugs.debian.org. (Wed, 30 Nov 2011 23:54:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'bluez: make hid2hci --tohid work (with certain logitech dongles)' from 'bluez-utils: hid2hci --tohid does not work' Request was from Mourad De Clerck <debian-bugs@aquazul.com> to control@bugs.debian.org. (Wed, 30 Nov 2011 23:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#355497; Package bluez. (Thu, 01 Dec 2011 00:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. (Thu, 01 Dec 2011 00:00:09 GMT) Full text and rfc822 format available.

Message #68 received at 355497@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: 355497@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Bug#355497: bluez-utils: hid2hci --tohid does not work
Date: Thu, 01 Dec 2011 00:51:24 +0100
submitter 355497 bugs-debian@aquazul.com
reassign 355497 bluez
retitle 355497 bluez: make hid2hci --tohid work (with certain logitech dongles)
severity wishlist
kthxbye

On 26/07/06 10:58, Filippo Giunchedi wrote:
> On Tue, Jul 25, 2006 at 08:53:37PM +0200, Mourad De Clerck wrote:
>> On 28/11/05 19:28, Marcel Holtmann wrote:
>>>  
>>> we don't know the magic sequence to switch it back into HID mode.
>>
>> I'm assuming the situation hasn't changed in the mean time.
> 
> indeed, ideally hid2hci might switch to HCI only devices which can switch back
> to HID (and do it nevertheless if --force is present)

Well, I don't have this hardware anymore, so I can't verify anymore whether this 
problem still exists or not, but I assume it does.

For my part, it can be tagged wontfix and closed, but I leave it up to you.

Regards,

-- Mourad DC




Severity set to 'wishlist' from 'normal' Request was from Mourad De Clerck <debian-bugs@aquazul.com> to control@bugs.debian.org. (Thu, 01 Dec 2011 00:00:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:48:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.